#include "paint.h"

static uchar p1bits[] = {
	0x00, 0x00,
	0xFF, 0x00,
	0x00, 0x00,
	0x00, 0xFF,
};

static Protopattern p1 = {
	2, 4,
	GREY8,
	p1bits,
	sizeof p1bits,
};


static uchar p2bits[] = {
	0x00, 0xFF, 0x00, 0x00,
	0xFF, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xFF, 0x00,
	0x00, 0x00, 0x00, 0xFF,
};

static Protopattern p2 = {
	4, 4,
	GREY8,
	p2bits,
	sizeof p2bits,
};


static uchar p3bits[] = {
	0x00, 0x00, 0xFF,
	0x00, 0xFF, 0x00,
	0xFF, 0x00, 0x00,
	0x00, 0xFF, 0x00,
};

static Protopattern p3 = {
	3, 4,
	GREY8,
	p3bits,
	sizeof p3bits,
};


static uchar p4bits[] = {
	0x00, 0xFF,
	0xFF, 0xFF,
	0xFF, 0x00,
	0xFF, 0xFF,
};

static Protopattern p4 = {
	2, 4,
	GREY8,
	p4bits,
	sizeof p4bits,
};


static uchar p5bits[] = {
	0xFF,
};

static Protopattern p5 = {
	1, 1,
	GREY8,
	p5bits,
	sizeof p5bits,
};


Protopattern *ppatterns[] = {
	&p1,
	&p2,
	&p3,
	&p4,
	&p5,
};
npatterns = nelem(ppatterns);
